regex-applicative-0.3.3: Regex-based parsing with applicative interface

Safe Haskell | Safe
Language | Haskell2010

Text.Regex.Applicative.Common

Contents

- Digits
- Numbers

Description

Collection of commonly used regular expressions.

Synopsis

- digit :: Num a => RE Char a
- hexDigit :: Num a => RE Char a
- signed :: Num a => RE Char a -> RE Char a
- decimal :: Num a => RE Char a
- hexadecimal :: Num a => RE Char a

# Digits

digit :: Num a => RE Char a #

Decimal digit, i.e. `'0'`..`'9'`

hexDigit :: Num a => RE Char a #

Hexadecimal digit i.e. `'0'`..`'9'`, `'a'`..`'f'`, `'A'`..`'F'`.

# Numbers

signed :: Num a => RE Char a -> RE Char a #

Add optional sign

decimal :: Num a => RE Char a #

Parse decimal number without sign.

hexadecimal :: Num a => RE Char a #

Parse decimal number without sign.